# GET /options-history

Returns the trade history for group of instrument.

`GET https://api.aevo.xyz/options-history`

## Example Request

```bash
curl --request GET \
     --url https://api.aevo.xyz/options-history \
     --header 'accept: application/json'
```

## Responses

**`200`** — Trades.

Array of:

| Field               | Type   | Required | Description                                                                        |
| ------------------- | ------ | -------- | ---------------------------------------------------------------------------------- |
| `instrument_name`   | string | Yes      | Instrument name. Example: `ETH-30JUN23-1600-C`                                     |
| `option_type`       | string | Yes      | Type of option contract. Example: `call`                                           |
| `expiry`            | string | Yes      | Option expiry in UNIX timestamp in nanoseconds. Example: `1680249600000000000`     |
| `strike`            | string | Yes      | Option strike price. Example: `2500`                                               |
| `iv`                | string | Yes      | Option's implied volatility. Example: `0.23`                                       |
| `order_type`        | string | Yes      | Order type. Example: `limit`                                                       |
| `side`              | string | Yes      | Trade side. Example: `buy`                                                         |
| `avg_price`         | string | Yes      | Average entry price of the position. Example: `12.23`                              |
| `amount`            | string | Yes      | Number of contracts. In 6 decimals fixed number. Example: `1000000`                |
| `trade_status`      | string | Yes      | Trade status. Example: `filled`                                                    |
| `created_timestamp` | string | Yes      | Created timestamp in UNIX timestamp in nanoseconds. Example: `1680249600000000000` |

**`400`** — Bad request.

| Field   | Type   | Required | Description                                     |
| ------- | ------ | -------- | ----------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `ERR_MALFORMED_REQUEST` |

**`401`** — Unauthorized.

| Field   | Type   | Required | Description                            |
| ------- | ------ | -------- | -------------------------------------- |
| `error` | string | Yes      | Error message. Example: `UNAUTHORIZED` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aevo.xyz/api-reference/urls/public-api/getoptionshistory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
